## pgmemcache 2.0RC1

=== Makefile ===
#$PostgreSQL: pgmemcache/Makefile,v 1.6 2009/03/22 10:58:21 ormod Exp $
MODULE_big = pgmemcache
PGMC_VERSION = 2.0RC1

OBJS = pgmemcache.o
DATA_built = $(MODULE_big).sql
SHLIB_LINK = -lmemcached

PGXS := $(shell pg_config --pgxs)
include $(PGXS)

# Build a release tarball. "hg archive" includes a single HG metadata
# for some reason, so we have to manually exclude it. To make a release,
# update PGMC_VERSION, adjust the version number in the README, and
# add an entry to NEWS.
dist:
	tar -cjf ../pgmemcache_$(PGMC_VERSION).tar.bz2 ../pgmemcache/

## pgmemcache 2.0.6

=== Makefile ===
MODULE_big = pgmemcache
PGMC_VERSION = 2.0.6

OBJS = pgmemcache.o
DATA_built = $(MODULE_big).sql
SHLIB_LINK = -lmemcached -lsasl2

PGXS := $(shell pg_config --pgxs)
include $(PGXS)

# Build a release tarball. To make a release, update PGMC_VERSION, adjust
# the version number in the README, and add an entry to NEWS.
html:
	rst2html.py README README.html
dist:
	tar --exclude .git -cjf ../pgmemcache_$(PGMC_VERSION).tar.bz2 ../pgmemcache/
deb84:
	sed -e s/PGVER/8.4/g < debian/packages.in > debian/packages
	yada rebuild
	debuild -uc -us -b
deb90:
	sed -e s/PGVER/9.0/g < debian/packages.in > debian/packages
	yada rebuild
	debuild -uc -us -b
deb91:
	sed -e s/PGVER/9.1/g < debian/packages.in > debian/packages
	yada rebuild
	debuild -uc -us -b
build-dep:
	apt-get install libmemcached-dev postgresql-server-dev libpq-dev devscripts yada flex bison libsasl2-dev

=== debian/changelog ===
pgmemcache (2.0.6-2) unstable; urgency=low

  * [74b3c34] Install files in debian/rules instead of using one static
    .install file per PostgreSQL version
  * [89341af] Update debian/pgversions to include recent PostgreSQL releases
  * [42ae7f7] Canonicalize Vcs-* fields in debian/control
  * [e25b4d2] Bump Standards-Version to 3.9.4

 -- Marco Nenciarini <mnencia@debian.org>  Sun, 15 Sep 2013 16:06:29 +0200

pgmemcache (2.0.6-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS with libmemcached-dev-1.0.3-1": add patch
    libmemcached-1.0.patch from Michael Fladischer; make build dependency on
    libmemcached-dev versioned. (Closes: #658405)

 -- gregor herrmann <gregoa@debian.org>  Tue, 13 Mar 2012 19:01:16 +0100

pgmemcache (2.0.6-1) unstable; urgency=low

  * Initial release (Closes: #621729)

 -- Marco Nenciarini <mnencia@debian.org>  Wed, 31 Aug 2011 00:14:22 +0200

=== debian/control ===
Source: pgmemcache
Section: database
Priority: extra
Maintainer: Marco Nenciarini <mnencia@debian.org>
Build-Depends: debhelper (>= 8), postgresql-server-dev-all (>= 148~), libmemcached-dev (>= 1), libsasl2-dev
Standards-Version: 3.9.4
Homepage: http://pgfoundry.org/projects/pgmemcache/
Vcs-Git: git://anonscm.debian.org/pkg-postgresql/pgmemcache.gi
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-postgresql/pgmemcache.git;a=summary

Package: postgresql-9.3-pgmemcache
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-9.3
Description: PostgreSQL interface to memcached
 pgmemcache is an extension for PostgreSQL that provides an API to
 memcached through user-defined functions.
 .
 memcached is a high-performance, distributed memory object caching
 system, generic in nature, but originally intended for use in
 speeding up dynamic web applications by alleviating database load.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

export SRCDIR = $(CURDIR)
TARGET = $(CURDIR)/debian/pgmemcache-%v

include /usr/share/postgresql-common/pgxs_debian_control.mk

override_dh_auto_clean: debian/control
	+pg_buildext clean $(SRCDIR) $(TARGET)
	dh_clean

override_dh_auto_build:
	+pg_buildext build $(SRCDIR) $(TARGET) "$(CFLAGS)"

override_dh_auto_install:
	for v in `pg_buildext supported-versions $(SRCDIR)`; do \
		TARGET=$(CURDIR)/debian/postgresql-$$v-pgmemcache ; \
		mkdir -p $$TARGET/usr/lib/postgresql/$$v/lib ; \
		install -m 644 $(CURDIR)/debian/pgmemcache-$$v/pgmemcache.so $$TARGET/usr/lib/postgresql/$$v/lib ; \
		case $$v in \
		    8.*|9.0) \
			mkdir -p $$TARGET/usr/share/postgresql/$$v/contrib ; \
			install -m 644 $(CURDIR)/pgmemcache.sql $$TARGET/usr/share/postgresql/$$v/contrib ; \
			install -m 644 $(CURDIR)/uninstall_pgmemcache.sql $$TARGET/usr/share/postgresql/$$v/contrib ; \
			;; \
		    *) \
			mkdir -p $$TARGET/usr/share/postgresql/$$v/extension ; \
			install -m 644 $(CURDIR)/debian/pgmemcache-$$v/pgmemcache*.sql $$TARGET/usr/share/postgresql/$$v/extension ; \
			install -m 644 $(CURDIR)/pgmemcache--unpackaged--2.0.6.sql $$TARGET/usr/share/postgresql/$$v/extension ; \
			install -m 644 $(CURDIR)/pgmemcache.control $$TARGET/usr/share/postgresql/$$v/extension ; \
			;; \
		esac \
	done

%:
	dh $@

.PHONY: debian/control

=== debian/watch ===
version=3
http://pgfoundry.org/frs/?group_id=1000052 /frs/download.php/[0-9]+/pgmemcache_(.+).tar.bz2

## pgmemcache 2.1.2

=== Makefile ===
short_ver = 2.1.2
long_ver = $(shell git describe --long 2>/dev/null || echo $(short_ver)-0-unknown)

MODULE_big = pgmemcache
OBJS = pgmemcache.o

EXTENSION = pgmemcache
DATA_built = pgmemcache--$(short_ver).sql pgmemcache.control
DATA =	ext/pgmemcache--unpackaged--2.0.sql \
	ext/pgmemcache--2.0--2.1.sql \
	ext/pgmemcache--2.1--2.1.1.sql \
	ext/pgmemcache--2.1.1--2.1.2.sql

SHLIB_LINK = -lmemcached -lsasl2

PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

pgmemcache.control: ext/pgmemcache.control
	sed -e 's,__short_ver__,$(short_ver),g' < $^ > $@

pgmemcache--$(short_ver).sql: ext/pgmemcache.sql
	cp -fp $^ $@

# Build a release tarball. To make a release, adjust the
# version number in the README, and add an entry to NEWS.
html:
	rst2html.py README README.html

dist:
	git archive --output=../pgmemcache_$(long_ver).tar.gz --prefix=pgmemcache/ HEAD .

deb%:
	cp debian/changelog.in debian/changelog
	dch -v $(long_ver) "Automatically built package"
	sed -e s/PGVER/$(subst deb,,$@)/g < debian/packages.in > debian/packages
	yada rebuild
	debuild -uc -us -b

rpm:
	git archive --output=pgmemcache-rpm-src.tar.gz --prefix=pgmemcache/ HEAD
	rpmbuild -ta pgmemcache-rpm-src.tar.gz \
		--define 'full_version $(long_ver)' \
		--define 'major_version $(short_ver)' \
		--define 'minor_version $(subst -,.,$(subst $(short_ver)-,,$(long_ver)))'
	$(RM) pgmemcache-rpm-src.tar.gz

build-dep:
	apt-get install libmemcached-dev postgresql-server-dev libpq-dev devscripts yada flex bison libsasl2-dev

=== debian/changelog ===
pgmemcache (2.1.2-3) unstable; urgency=medium

  * B-D on pg-common 158 to build against 9.4.

 -- Christoph Berg <myon@debian.org>  Sun, 27 Jul 2014 11:25:54 +0200

pgmemcache (2.1.2-2) unstable; urgency=medium

  * Import cb06b448c534ac99ddd08f264e6f86162ddd6b72 from upstream:
    correct free function for memcached_stat_get_value (Closes: #742493)

 -- Christoph Berg <christoph.berg@credativ.de>  Thu, 08 May 2014 13:55:14 +0200

pgmemcache (2.1.2-1) unstable; urgency=medium

  * New release on Github.
  * Update watch file to point at Github.
  * Support PostgreSQL 9.1+, we need extensions.
  * Install README and NEWS (as changelog).
  * Add autopkgtest support.
  * Set Maintainer to the mailing list, add myself to Uploaders with Marco's
    permission, thanks!

 -- Christoph Berg <christoph.berg@credativ.de>  Thu, 13 Mar 2014 17:06:08 +0100

=== debian/control ===
Source: pgmemcache
Section: database
Priority: extra
Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
Uploaders: Marco Nenciarini <mnencia@debian.org>, Christoph Berg <myon@debian.org>
Build-Depends: debhelper (>= 9), postgresql-server-dev-all (>= 158~), libmemcached-dev (>= 0.38~), libsasl2-dev
Standards-Version: 3.9.5
Homepage: http://pgfoundry.org/projects/pgmemcache/
Vcs-Git: git://anonscm.debian.org/pkg-postgresql/pgmemcache.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-postgresql/pgmemcache.git;a=summary
XS-Testsuite: autopkgtest

Package: postgresql-9.4-pgmemcache
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-9.4
Description: PostgreSQL interface to memcached
 pgmemcache is an extension for PostgreSQL that provides an API to
 memcached through user-defined functions.
 .
 memcached is a high-performance, distributed memory object caching
 system, generic in nature, but originally intended for use in
 speeding up dynamic web applications by alleviating database load.

=== debian/tests/control ===
Depends: @, postgresql-server-dev-all, memcached
Tests: installcheck
Restrictions: allow-stderr needs-root

## pgmemcache 2.2.0

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-short_ver = 2.1.2
+short_ver = 2.2.0
 long_ver = $(shell git describe --long 2>/dev/null || echo $(short_ver)-0-unknown)
 
 MODULE_big = pgmemcache
@@ -9,7 +9,9 @@
 DATA =	ext/pgmemcache--unpackaged--2.0.sql \
 	ext/pgmemcache--2.0--2.1.sql \
 	ext/pgmemcache--2.1--2.1.1.sql \
-	ext/pgmemcache--2.1.1--2.1.2.sql
+	ext/pgmemcache--2.1.1--2.1.2.sql \
+	ext/pgmemcache--2.1.2--2.2.0.sql
+REGRESS = init start_memcached test stop_memcached
 
 SHLIB_LINK = -lmemcached -lsasl2
 
@@ -34,9 +36,9 @@
 deb%:
 	cp debian/changelog.in debian/changelog
 	dch -v $(long_ver) "Automatically built package"
-	sed -e s/PGVER/$(subst deb,,$@)/g < debian/packages.in > debian/packages
-	yada rebuild
-	debuild -uc -us -b
+	sed -e s/PGVERSION/$(subst deb,,$@)/g < debian/control.in > debian/control
+	echo $(subst deb,,$@) > debian/pgversions
+	PGVERSION=$(subst deb,,$@) dpkg-buildpackage -uc -us
 
 rpm:
 	git archive --output=pgmemcache-rpm-src.tar.gz --prefix=pgmemcache/ HEAD

=== debian/changelog ===
pgmemcache (2.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Upstream merged our testsuite, porting it to run as non-root, update the
    autopkgtest files for that.

 -- Christoph Berg <myon@debian.org>  Tue, 14 Oct 2014 21:25:04 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
 Uploaders: Marco Nenciarini <mnencia@debian.org>, Christoph Berg <myon@debian.org>
 Build-Depends: debhelper (>= 9), postgresql-server-dev-all (>= 158~), libmemcached-dev (>= 0.38~), libsasl2-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://pgfoundry.org/projects/pgmemcache/
 Vcs-Git: git://anonscm.debian.org/pkg-postgresql/pgmemcache.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-postgresql/pgmemcache.git;a=summary

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

TARGET = $(CURDIR)/debian/pgmemcache-%v

include /usr/share/postgresql-common/pgxs_debian_control.mk

override_dh_auto_clean: debian/control
	+pg_buildext clean $(TARGET)
	dh_clean
	rm -rf results regression.*

override_dh_auto_build:
	+pg_buildext build $(TARGET) "$(CFLAGS)"
	# create results dir now so we can remove it later when the tests were run as root
	mkdir results

override_dh_auto_install:
	+pg_buildext install $(TARGET) postgresql-%v-pgmemcache

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_installdocs:
	dh_installdocs --all README

%:
	dh $@

.PHONY: debian/control

## pgmemcache 2.3.0

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-short_ver = 2.2.0
+short_ver = 2.3.0
 long_ver = $(shell git describe --long 2>/dev/null || echo $(short_ver)-0-unknown)
 
 MODULE_big = pgmemcache
@@ -10,12 +10,19 @@
 	ext/pgmemcache--2.0--2.1.sql \
 	ext/pgmemcache--2.1--2.1.1.sql \
 	ext/pgmemcache--2.1.1--2.1.2.sql \
-	ext/pgmemcache--2.1.2--2.2.0.sql
+	ext/pgmemcache--2.1.2--2.2.0.sql \
+	ext/pgmemcache--2.2.0--2.3.0.sql
 REGRESS = init start_memcached test stop_memcached
 
+ifeq ($(USE_OMCACHE),1)
+SHLIB_LINK = -lomcache
+PG_CPPFLAGS += -DUSE_OMCACHE
+else
 SHLIB_LINK = -lmemcached -lsasl2
+PG_CPPFLAGS += -DUSE_LIBMEMCACHED
+endif
 
-PG_CONFIG = pg_config
+PG_CONFIG ?= pg_config
 PGXS := $(shell $(PG_CONFIG) --pgxs)
 include $(PGXS)
 
@@ -24,11 +31,6 @@
 
 pgmemcache--$(short_ver).sql: ext/pgmemcache.sql
 	cp -fp $^ $@
-
-# Build a release tarball. To make a release, adjust the
-# version number in the README, and add an entry to NEWS.
-html:
-	rst2html.py README README.html
 
 dist:
 	git archive --output=../pgmemcache_$(long_ver).tar.gz --prefix=pgmemcache/ HEAD .
@@ -49,4 +51,17 @@
 	$(RM) pgmemcache-rpm-src.tar.gz
 
 build-dep:
-	apt-get install libmemcached-dev postgresql-server-dev libpq-dev devscripts yada flex bison libsasl2-dev
+	apt-get install libmemcached-dev postgresql-server-dev libpq-dev devscripts libsasl2-dev
+
+check-coverity:
+	$(MAKE) clean
+	$(RM) -r cov-int pgmemcache-cov-int.tar.gz
+	cov-build --dir cov-int $(MAKE)
+	tar zcvf pgmemcache-cov-int.tar.gz cov-int
+	curl --verbose --form 'token=<.coverity-token' \
+		--form 'email=<.coverity-email' \
+		--form 'file=@pgmemcache-cov-int.tar.gz' \
+		--form 'version=$(long_ver)' \
+		--form 'description=$(short_ver)' \
+		'https://scan.coverity.com/builds?project=ohmu%2Fpgmemcache'
+	$(RM) -r cov-int pgmemcache-cov-int.tar.gz

=== debian/changelog ===
pgmemcache (2.3.0-15) unstable; urgency=medium

  * Upload for PostgreSQL 18. (Closes: #1117303)
  * Add ${postgresql:Breaks}.
  * debian/tests: Depend on postgresql-common-dev instead of 'make'.
  * debian/tests: Pidfile creation is still unstable on older dists, use pkill
    instead.

 -- Christoph Berg <myon@debian.org>  Wed, 08 Oct 2025 17:23:12 +0200

pgmemcache (2.3.0-14) unstable; urgency=medium

  * Upload for PostgreSQL 17.
  * Restrict to 64-bit architectures.

 -- Christoph Berg <myon@debian.org>  Sat, 14 Sep 2024 19:24:40 +0200

pgmemcache (2.3.0-13) unstable; urgency=medium

  * Upload for PostgreSQL 16.
  * Use ${postgresql:Depends}.
  * Update homepage.

 -- Christoph Berg <myon@debian.org>  Mon, 18 Sep 2023 15:09:05 +0200

pgmemcache (2.3.0-12) unstable; urgency=medium

  * Start memcached before invoking tests so it's hopefully more stable.

 -- Christoph Berg <myon@debian.org>  Thu, 11 May 2023 21:04:39 +0200

pgmemcache (2.3.0-11) unstable; urgency=medium

  * Upload for PostgreSQL 15.
  * Mark B-D memcached as <!nocheck>.

 -- Christoph Berg <myon@debian.org>  Fri, 21 Oct 2022 13:22:25 +0200

pgmemcache (2.3.0-10) unstable; urgency=medium

  * Fix GitHub watch file.

 -- Christoph Berg <myon@debian.org>  Mon, 03 Jan 2022 12:11:30 +0100

pgmemcache (2.3.0-9) unstable; urgency=medium

  * Upload for PostgreSQL 14.
  * Support running build-time tests as root.

 -- Christoph Berg <myon@debian.org>  Wed, 20 Oct 2021 11:37:11 +0200

pgmemcache (2.3.0-8) unstable; urgency=medium

  * Upload for PostgreSQL 13.
  * Use dh --with pgxs_loop and run tests at build-time as well.
  * R³: no.
  * DH 13.
  * debian/tests: Use 'make' instead of postgresql-server-dev-all.

 -- Christoph Berg <myon@debian.org>  Mon, 19 Oct 2020 12:46:20 +0200

pgmemcache (2.3.0-7) unstable; urgency=medium

  * Upload for PostgreSQL 12.
  * Add debian/gitlab-ci.yml.

 -- Christoph Berg <myon@debian.org>  Tue, 29 Oct 2019 16:57:13 +0100

pgmemcache (2.3.0-6) unstable; urgency=medium

  * Upload for PostgreSQL 11.
  * Move maintainer address to team+postgresql@tracker.debian.org.

 -- Christoph Berg <myon@debian.org>  Fri, 12 Oct 2018 13:41:40 +0200

pgmemcache (2.3.0-5) unstable; urgency=medium

  * Use /tmp for temporary pidfiles in testsuite.
  * Move packaging repository to salsa.debian.org
  * Run wrap-and-sort -st.

 -- Christoph Berg <myon@debian.org>  Thu, 14 Jun 2018 17:55:57 +0200

pgmemcache (2.3.0-4) unstable; urgency=medium

  * Team upload with PostgreSQL 10 support.

 -- Christoph Berg <christoph.berg@credativ.de>  Wed, 27 Sep 2017 12:50:13 +0200

pgmemcache (2.3.0-3) unstable; urgency=medium

  * Upload with 9.6 support.

 -- Christoph Berg <myon@debian.org>  Tue, 27 Sep 2016 19:04:20 +0200

pgmemcache (2.3.0-2) unstable; urgency=medium

  * Reupload to unstable with 9.5 support.
  * Rewrite rules to use "pg_buildext loop".
  * debian/tests/installcheck: Drop privileges when running as root.

 -- Christoph Berg <christoph.berg@credativ.de>  Mon, 11 Jan 2016 10:49:39 +0100

pgmemcache (2.3.0-1) unstable; urgency=medium

  * New upstream release.

 -- Christoph Berg <myon@debian.org>  Sun, 26 Apr 2015 12:35:03 +0200

=== debian/control ===
Source: pgmemcache
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Marco Nenciarini <mnencia@debian.org>,
 Christoph Berg <myon@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 architecture-is-64-bit <!pkg.postgresql.32-bit>,
 libmemcached-dev (>= 0.38~),
 libsasl2-dev,
 memcached <!nocheck>,
 postgresql-all (>= 217~),
Standards-Version: 4.7.2
Homepage: https://github.com/ohmu/pgmemcache
Vcs-Git: https://salsa.debian.org/postgresql/pgmemcache.git
Vcs-Browser: https://salsa.debian.org/postgresql/pgmemcache

Package: postgresql-18-pgmemcache
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Breaks:
 ${postgresql:Breaks},
Description: PostgreSQL interface to memcached
 pgmemcache is an extension for PostgreSQL that provides an API to
 memcached through user-defined functions.
 .
 memcached is a high-performance, distributed memory object caching
 system, generic in nature, but originally intended for use in
 speeding up dynamic web applications by alleviating database load.

=== debian/rules ===
#!/usr/bin/make -f

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_installdocs:
	dh_installdocs --all README.rst

override_dh_pgxs_test:
	debian/tests/installcheck . . postgresql-%v-pgmemcache

%:
	dh $@ --with pgxs_loop

=== debian/tests/control ===
Depends:
 memcached,
 postgresql-common-dev,
 procps,
 @,
Tests:
 installcheck,
Restrictions:
 allow-stderr,

=== debian/watch ===
version=4
https://github.com/ohmu/pgmemcache/tags .*/([0-9].*).tar.gz
